- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_amg_sync – NetApp E-Series conduct synchronization actions on asynchronous mirror groups

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Allows for the initialization, suspension and resumption of an asynchronous mirror group’s synchronization for NetApp E-series storage arrays.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
delete_recovery_point boolean | Choices: no ← yes | Indicates whether the failures point can be deleted on the secondary if necessary to achieve the synchronization. If true, and if the amount of unsynchronized data exceeds the CoW repository capacity on the secondary for any member volume, the last failures point will be deleted and synchronization will continue. If false, the synchronization will be suspended if the amount of unsynchronized data exceeds the CoW Repository capacity on the secondary and the failures point will be preserved. NOTE: This only has impact for newly launched syncs.
name - / required |  | The name of the async mirror group you wish to target
ssid - |  | The ID of the storage array containing the AMG you wish to target
state - / required | Choices: running suspended | The synchronization action you'd like to take. If `running` then it will begin syncing if there is no active sync or will resume a suspended sync. If there is already a sync in progress, it will return with an OK status. If `suspended` it will suspend any ongoing sync action, but return OK if there is no active sync or if the sync is already suspended
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?

## Examples

    - name: start AMG async
      netapp_e_amg_sync:
        name: "{{ amg_sync_name }}"
        state: running
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
json string | success | The object attributes of the AMG.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.